Run of fresh-releases for aiocmd

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
[2022-12-01 06:43:09] Opening branch at https://gitlab.com/kalilinux/packages/aiocmd.git/,branch=kali%2Fmaster
[2022-12-01 06:43:10] Using cached branch file:///home/janitor/vcs/git/aiocmd/,branch=kali%2Flatest
[2022-12-01 06:44:46] Total 6 (delta 0), reused 0 (delta 0), pack-reused 2
[2022-12-01 06:44:52] ), done.
Compressing objects:  16% (1/6)
Compressing objects:  33% (2/6)
Compressing objects:  50% (3/6)
Compressing objects:  6
[2022-12-01 06:44:52] 4), reused 9 (delta 4), pack-reused 0
[2022-12-01 06:44:52] Workspace ready - starting.
[2022-12-01 06:48:38] Opened schroot session kali-dev-amd64-sbuild-42132bfc-fb4b-4577-9eb2-7e349a704f4c (from kali-dev-amd64-sbuild)
[2022-12-01 06:48:38] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, debcargo_coerce_unacceptable_prerelease), SimpleBuildFixer(DebcargoUnacceptableComparator, debcargo_coerce_unacceptable_prerelease), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7fe45f586d00>, [functools.partial(<function python_tie_breaker at 0x7fe46619d940>, <GitWorkingTree of /home/janitor/tmp/janitorop83gm6n/aiocmd.git>, ''), BuildDependencyTieBreaker(LocalApt('/var/run/schroot/mount/kali-dev-amd64-sbuild-42132bfc-fb4b-4577-9eb2-7e349a704f4c')), <function popcon_tie_breaker at 0x7fe4661a9160>]))]
[2022-12-01 06:48:38] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2022-12-01 06:51:15] Built ['aiocmd_0.1.5-0kali1~jan+nur135_source.changes', 'aiocmd_0.1.5-0kali1~jan+nur135_amd64+jan.changes'].
[2022-12-01 06:51:17] Running lintian
[2022-12-01 06:51:20] Pushing result branch to 'https://janitor.kali.org/git/aiocmd'
[2022-12-01 06:51:20] Pushing packaging branch cache to https://janitor.kali.org/git/aiocmd,branch=kali%2Flatest
Traceback (most recent call last):
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/transport/local.py", line 148, in get
    return open(path, 'rb')
OSError: [Errno 24] Too many open files: '/home/janitor/vcs/git/aiocmd/objects/pack/pack-3f84a7facce873861e7a47b5bd3b4e638f24408e.pack'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/venv/lib/python3.9/site-packages/janitor/worker.py", line 1053, in run_worker
    push_branch(
  File "/home/janitor/venv/lib/python3.9/site-packages/backoff/_sync.py", line 105, in retry
    ret = target(*args, **kwargs)
  File "/home/janitor/venv/lib/python3.9/site-packages/janitor/worker.py", line 678, in push_branch
    target.push_branch(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/dir.py", line 374, in push_branch
    push_result.branch_push_result = source.push(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/branch.py", line 1086, in push
    return InterBranch.get(self, target).push(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/branch.py", line 2358, in push
    result = self._basic_push(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/branch.py", line 1273, in _basic_push
    result.old_revid = self.target.last_revision()
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/branch.py", line 691, in last_revision
    return self.lookup_foreign_revision_id(self.head)
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/branch.py", line 700, in lookup_foreign_revision_id
    return self.repository.lookup_foreign_revision_id(foreign_revid,
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/repository.py", line 443, in lookup_foreign_revision_id
    commit = self._git.object_store.peel_sha(foreign_revid)
  File "/home/janitor/venv/lib/python3.9/site-packages/dulwich/object_store.py", line 337, in peel_sha
    obj = self[sha]
  File "/home/janitor/venv/lib/python3.9/site-packages/dulwich/object_store.py", line 145, in __getitem__
    type_num, uncomp = self.get_raw(sha)
  File "/home/janitor/venv/lib/python3.9/site-packages/dulwich/object_store.py", line 587, in get_raw
    for pack in self._update_pack_cache():
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/transportgit.py", line 644, in _update_pack_cache
    pack_name, self.pack_transport.get(pack_name),
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/transport/local.py", line 152, in get
    self._translate_error(e, path)
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/transport/__init__.py", line 391, in _translate_error
    raise errors.TransportError(orig_error=e)
breezy.errors.TransportError: Transport error: [Errno 24] Too many open files: '/home/janitor/vcs/git/aiocmd/objects/pack/pack-3f84a7facce873861e7a47b5bd3b4e638f24408e.pack' [Errno 24] Too many open files: '/home/janitor/vcs/git/aiocmd/objects/pack/pack-3f84a7facce873861e7a47b5bd3b4e638f24408e.pack'
Full worker log

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set 45f8d69e-6ab5-482b-b25c-85aff03db77d is working
  • ☑ merge proposals for previous run were not rejected: status.